NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Formboard.OrientBranchBuilder Class Reference

Builder for "Orient Branch" operation used in formboard. More...

Inheritance diagram for NXOpen.Formboard.OrientBranchBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BranchAngleMethod { AnglefromReferenceVector, Angle, AlignAxisToVector, TwoPoints }
 Enum to define the type of method to orient branch. More...
 

Public Member Functions

unsafe void InitializeFromSegment ()
 Initializes or resets ( start or stop ) drag operation based on the input branch segment. More...
 
unsafe void SetBranchSeedObject (NXOpen.Routing.ISegment segmentTag)
 Sets the selected branch NXOpen.Routing.ISegment when a branch is selected by branch method by Routing Object Collector. More...
 
unsafe void StartDrag ()
 Starts the drag operation of selected object. More...
 
unsafe void StopDrag ()
 Stop the drag operation of selected object. More...
 
unsafe void UnSuppressConstraints ()
 Suppress the NXOpen.Positioning.Constraint associated with selected branch NXOpen.Routing.ISegment when a branch is selected by branch method by Routing Object Collector. More...
 
unsafe void UpdateRotationAngle (double angle)
 Rotates the branch by an appropriate rotation and transformation which depends on the NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod selected by user. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod 
BranchAngleType [get, set]
 Returns or sets the user selected NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod More...
 
unsafe NXOpen.Point FromPoint [get, set]
 Returns or sets the user selected from point when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints . More...
 
unsafe NXOpen.Direction FromVector [get, set]
 Returns or sets the user selected from vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AlignAxisToVector . More...
 
unsafe NXOpen.Direction ReferenceVector [get, set]
 Returns or sets the user selected reference vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AnglefromReferenceVector . More...
 
unsafe NXOpen.Expression RefRotationAngle [get]
 Returns the angle for the rotation of branch when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AnglefromReferenceVector . More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the angle for the rotation of branch when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.Angle . More...
 
unsafe
NXOpen.Routing.RouteObjectCollector 
SelectBranch [get]
 Returns the user selected branch NXOpen.Routing.ISegment for rotation. More...
 
unsafe NXOpen.Point ToPoint [get, set]
 Returns or sets the user selected to point when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints . More...
 
unsafe NXOpen.Direction ToVector [get, set]
 Returns or sets the user selected to vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AlignAxisToVector . More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for "Orient Branch" operation used in formboard.

Allows user to orient the branch by different methods.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateOrientBranchBuilder

Default values.

Property Value

BranchAngleType

AnglefromReferenceVector

RotationAngle.Value

0

Created in NX7.5.0

Member Enumeration Documentation

Enum to define the type of method to orient branch.

Enumerator
AnglefromReferenceVector 

method to rotate branch with respect to selected vectors

Angle 

method to rotate branch by angle

AlignAxisToVector 

method to rotate branch by an angle between two vectors

TwoPoints 

method to rotate branch by and angle between two points

Member Function Documentation

unsafe void NXOpen.Formboard.OrientBranchBuilder.InitializeFromSegment ( )
inline

Initializes or resets ( start or stop ) drag operation based on the input branch segment.

Created in NX7.5.0

Deprecated in NX9.0.1. This method is no longer required.

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.OrientBranchBuilder.SetBranchSeedObject ( NXOpen.Routing.ISegment  segmentTag)
inline

Sets the selected branch NXOpen.Routing.ISegment when a branch is selected by branch method by Routing Object Collector.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

Parameters
segmentTagselected seed object
unsafe void NXOpen.Formboard.OrientBranchBuilder.StartDrag ( )
inline

Starts the drag operation of selected object.

Does nothing if drag has already been started.

Created in NX7.5.0

Deprecated in NX9.0.1. This method is no longer required.

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.OrientBranchBuilder.StopDrag ( )
inline

Stop the drag operation of selected object.

Does nothing if drag has not been started.

Created in NX7.5.0

Deprecated in NX9.0.1. This method is no longer required.

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.OrientBranchBuilder.UnSuppressConstraints ( )
inline

Suppress the NXOpen.Positioning.Constraint associated with selected branch NXOpen.Routing.ISegment when a branch is selected by branch method by Routing Object Collector.

Created in NX7.5.3

Deprecated in NX7.5.3. This method is no longer relevant and calls to this can be safely removed.

License requirements: routing_harness ("Routing Harness")

unsafe void NXOpen.Formboard.OrientBranchBuilder.UpdateRotationAngle ( double  angle)
inline

Rotates the branch by an appropriate rotation and transformation which depends on the NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod selected by user.

Created in NX7.5.0

Deprecated in NX9.0.1. This method is no longer required.

License requirements: routing_harness ("Routing Harness")

Parameters
angleangle for rotation

Property Documentation

unsafe NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod NXOpen.Formboard.OrientBranchBuilder.BranchAngleType
getset

Returns or sets the user selected NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Point NXOpen.Formboard.OrientBranchBuilder.FromPoint
getset

Returns or sets the user selected from point when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints .

Created in NX7.5.0

Deprecated in NX8.5.0. This NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints is no longer supported.

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Direction NXOpen.Formboard.OrientBranchBuilder.FromVector
getset

Returns or sets the user selected from vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AlignAxisToVector .

Created in NX7.5.0

Deprecated in NX8.5.0. This builder attribute is no longer required.

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Direction NXOpen.Formboard.OrientBranchBuilder.ReferenceVector
getset

Returns or sets the user selected reference vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AnglefromReferenceVector .

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Formboard.OrientBranchBuilder.RefRotationAngle
get

Returns the angle for the rotation of branch when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AnglefromReferenceVector .

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Expression NXOpen.Formboard.OrientBranchBuilder.RotationAngle
get

Returns the angle for the rotation of branch when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.Angle .

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Routing.RouteObjectCollector NXOpen.Formboard.OrientBranchBuilder.SelectBranch
get

Returns the user selected branch NXOpen.Routing.ISegment for rotation.

Created in NX7.5.0

License requirements: routing_harness ("Routing Harness")

unsafe NXOpen.Point NXOpen.Formboard.OrientBranchBuilder.ToPoint
getset

Returns or sets the user selected to point when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints .

Created in NX7.5.0

Deprecated in NX8.5.0. This NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.TwoPoints is no longer supported.

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")

unsafe NXOpen.Direction NXOpen.Formboard.OrientBranchBuilder.ToVector
getset

Returns or sets the user selected to vector when NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod is NXOpen.Formboard.OrientBranchBuilder.BranchAngleMethod.AlignAxisToVector .

Created in NX7.5.0

License requirements to get this property: routing_harness ("Routing Harness")

License requirements to set this property: routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.